org.jbpm.process.instance.timer

## Class TimerManager.StartProcessJobContext

- java.lang.Object
- - org.jbpm.process.instance.timer.TimerManager.ProcessJobContext
  - - org.jbpm.process.instance.timer.TimerManager.StartProcessJobContext

- All Implemented Interfaces:
    Serializable, org.drools.core.time.JobContext
  Enclosing class:
    TimerManager

      public static class TimerManager.StartProcessJobContext
      extends TimerManager.ProcessJobContext

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartProcessJobContext(TimerInstance timer, org.drools.core.time.Trigger trigger, String processId, Map<String,Object> params, org.drools.core.common.InternalKnowledgeRuntime kruntime)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `getParamaeters()`
    `String` | `getProcessId()`
    `boolean` | `isNewTimer()`
    `void` | `setParamaeters(Map<String,Object> paramaeters)`
    `void` | `setProcessId(String processId)`

    - ### Methods inherited from class org.jbpm.process.instance.timer.TimerManager.ProcessJobContext

      `getJobHandle, getKnowledgeRuntime, getProcessInstanceId, getSessionId, getTimer, getTrigger, getWorkingMemory, setJobHandle, setKnowledgeRuntime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.time.JobContext

      `getInternalKnowledgeRuntime`

- - ### Constructor Detail

    - #### StartProcessJobContext

          public StartProcessJobContext(TimerInstance timer,
                                        org.drools.core.time.Trigger trigger,
                                        String processId,
                                        Map<String,Object> params,
                                        org.drools.core.common.InternalKnowledgeRuntime kruntime)

  - ### Method Detail

    - #### getProcessId

          public String getProcessId()

    - #### setProcessId

          public void setProcessId(String processId)

    - #### getParamaeters

          public Map<String,Object> getParamaeters()

    - #### setParamaeters

          public void setParamaeters(Map<String,Object> paramaeters)

    - #### isNewTimer

          public boolean isNewTimer()

      Overrides:
        `isNewTimer` in class `TimerManager.ProcessJobContext`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.